$:.push File.expand_path('../lib', __FILE__)

Gem::Specification.new do |spec|
  spec.name          = "adp-fluentd-plugin-gzip"
  spec.version       = "0.0.12"
  spec.authors       = ["Aleksander Dudek"]
  spec.email         = ["aleksander.dudek@ringieraxelspringer.pl"]

  spec.description   = "Fluentd parser which compress data using gzip"
  spec.summary       = spec.description
  spec.homepage      = "https://example.com"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files       = `git ls-files`.split("\n")
  spec.test_files  = `git ls-files -- {test,spec,features}/*`.split("\n")
  spec.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'fluentd', '>= 0.10.17'
  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
